/* Copyright (c) 2015 Tjark Weber. All rights reserved. */

#include <cstdlib>
#include <iostream>
#include <set>

#include "sat_hashes.cpp"

int main(int argc, char *argv[])
{
  if (argc != 2)
    {
      std::cout << "unknown" << std::endl;
      exit(EXIT_FAILURE);
    }

  std::string hash(argv[1]);

  if (sat_hashes.count(hash)!=0)
    {
      std::cout << "sat" << std::endl;
    }
  else
    {
      std::cout << "unsat" << std::endl;
    }
}
